import Vue from 'vue'
import Element from 'element-ui'
// global css
import './assets/styles/common.css'
//import './assets/icons'
import Router from 'vue-router'
Vue.use(Router)


import App from './AppPlus'
//import store from './store'
//import router from './router/routers'

var routerMap = [
	{
		path: "/plus/Index",
		component: (resolve) => {
			return require(["@/views/home4Index"], resolve)
		},
		hidden: true
	},
];
var router = new Router({
  // mode: 'hash',
  mode: 'history',
  scrollBehavior: () => ({ y: 0 }),
  routes: routerMap
})

Vue.use(Element, {
  size: 'small' // set element-ui default size
})

Vue.config.productionTip = false
new Vue({
  el: '#plus',
  router,
  //store,
  render: h => h(App)
});

//Vue.__proto__.$state = store;
